# Uses of Class
org.apache.felix.http.base.internal.handler.ServletHandler

Packages that use ServletHandler
Package
Description
org.apache.felix.http.base.internal.dispatch
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto

## Uses of ServletHandler in org.apache.felix.http.base.internal.dispatch

Constructors in org.apache.felix.http.base.internal.dispatch with parameters of type ServletHandler
Modifier
Constructor
Description
``
`InvocationChain(@NotNull ServletHandler servletHandler, @NotNull FilterHandler[] filterHandlers)`

## Uses of ServletHandler in org.apache.felix.http.base.internal.handler

Subclasses of ServletHandler in org.apache.felix.http.base.internal.handler
Modifier and Type
Class
Description
`class`
`HttpServiceServletHandler`
Servlet handler for servlets registered through the http service.
`final class`
`HttpServiceWebSocketServletHandler`
Servlet handler for servlets extending JettyWebSocketServlet registered through the http service.
`class`
`WhiteboardServletHandler`
Servlet handler for servlets registered through the http whiteboard.
Methods in org.apache.felix.http.base.internal.handler with parameters of type ServletHandler
Modifier and Type
Method
Description
`int`
ServletHandler.`compareTo(ServletHandler other)`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type ServletHandler
Modifier
Constructor
Description
``
`WebSocketHandler(ServletHandler servletHandler)`

## Uses of ServletHandler in org.apache.felix.http.base.internal.registry

Fields in org.apache.felix.http.base.internal.registry declared as ServletHandler
Modifier and Type
Field
Description
`ServletHandler`
ServletResolution.`handler`
Methods in org.apache.felix.http.base.internal.registry that return ServletHandler
Modifier and Type
Method
Description
`ServletHandler`
ErrorPageRegistry.`get(Throwable exception, int errorCode)`
Get the servlet handling the error (error code or exception).
`@Nullable ServletHandler`
PerContextHandlerRegistry.`getErrorHandler(int code, @Nullable Throwable exception)`
Get the servlet handling the error.
`ServletHandler`
PathResolver.`getServletHandler()`
`ServletHandler`
PathResolverFactory.AbstractMatcher.`getServletHandler()`
`ServletHandler`
ServletRegistry.`resolveByName(@NotNull String name)`
`ServletHandler`
PerContextHandlerRegistry.`resolveServletByName(String name)`
Methods in org.apache.felix.http.base.internal.registry with parameters of type ServletHandler
Modifier and Type
Method
Description
`void`
ErrorPageRegistry.`addServlet(@NotNull ServletHandler handler)`
Add the servlet for error handling
`void`
ServletRegistry.`addServlet(@NotNull ServletHandler handler)`
Add a servlet.
`static @NotNull PathResolver`
PathResolverFactory.`createPatternMatcher(@Nullable ServletHandler handler, @NotNull String pattern)`
`@NotNull FilterHandler[]`
FilterRegistry.`getFilterHandlers(@Nullable ServletHandler handler, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`
Get all filters handling the request.
`@NotNull FilterHandler[]`
PerContextHandlerRegistry.`getFilterHandlers(@Nullable ServletHandler servletHandler, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`
Get filter handlers for the request uri
`void`
PerContextHandlerRegistry.`registerServlet(@NotNull ServletHandler handler)`
Add a servlet
Constructors in org.apache.felix.http.base.internal.registry with parameters of type ServletHandler
Modifier
Constructor
Description
``
`AbstractMatcher(ServletHandler handler, String pattern, int ranking)`
``
`DefaultMatcher(ServletHandler handler)`
``
`ExactAndPathMatcher(ServletHandler handler, String pattern)`
``
`ExactMatcher(ServletHandler handler, String pattern)`
``
`ExtensionMatcher(ServletHandler handler, String pattern)`
``
`PathMatcher(ServletHandler handler, String pattern)`
``
`RootMatcher(ServletHandler handler)`

## Uses of ServletHandler in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type ServletHandler
Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ErrorPageDTO`
ErrorPageDTOBuilder.`build(ServletHandler handler, int reason)`
Build a servlet DTO from a servlet handler
`static org.osgi.service.servlet.runtime.dto.ResourceDTO`
ResourceDTOBuilder.`build(ServletHandler handler, int reason)`
Build a servlet DTO from a servlet handler
`static org.osgi.service.servlet.runtime.dto.ServletDTO`
ServletDTOBuilder.`build(ServletHandler handler, int reason)`
Build a servlet DTO from a servlet handler